Subject: [alpine-aports] [PATCH] new aport: testing/py-pygal

From: Marian Buschsieweke <[email-masked]>
Date: Mon, 22 May 2017 16:40:43 +0200

pygal is a dynamic SVG charting library written in python
---
 testing/py-pygal/APKBUILD | 56 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 56 insertions(+)
 create mode 100644 testing/py-pygal/APKBUILD

diff --git a/testing/py-pygal/APKBUILD b/testing/py-pygal/APKBUILD
new file mode 100644
index 0000000000..40a9227592
--- /dev/null
+++ b/testing/py-pygal/APKBUILD
@@ -0,0 +1,56 @@
+# Contributor: Marian Buschsieweke <[email-masked]>
+# Maintainer: Marian Buschsieweke <[email-masked]>
+pkgname=py-pygal
+_pkgname=pygal
+pkgver=2.3.1
+pkgrel=0
+pkgdesc="pygal is a dynamic SVG charting library written in python"
+url="http://www.pygal.org"
+arch="noarch"
+license="LGPL3"
+makedepends="python2-dev python3-dev py-setuptools"
+subpackages="py2-${pkgname#py-}:_py2 py3-${pkgname#py-}:_py3"
+source="${pkgname}-${pkgver}.tar.gz::https://github.com/Kozea/${_pkgname}/archive/${pkgver}.tar.gz"
+builddir="$srcdir"/$_pkgname-$pkgver
+
+prepare() {
+	local i
+	cd "$builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$builddir"
+	python2 setup.py build || return 1
+	python3 setup.py build || return 1
+}
+
+package() {
+	mkdir -p "$pkgdir"
+}
+
+_py2() {
+	_py python2
+}
+
+_py3() {
+	_py python3
+}
+
+_py() {
+	local python="$1"
+	pkgdesc="$pkgdesc (for $python)"
+	depends="$depends $python"
+	install_if="$pkgname=$pkgver-r$pkgrel $python"
+
+	cd "$builddir"
+	$python setup.py install --prefix=/usr --root="$subpkgdir"
+}
+
+md5sums="e9325aff493eecc1aae4d29fc5e3c6b3  py-pygal-2.3.1.tar.gz"
+sha256sums="6d193df8711b1451cfe7f071d19e2ff0366752f6754a30196b1d5ecc958d83fd  py-pygal-2.3.1.tar.gz"
+sha512sums="ec8b9adf18beeb1d58f03804b93466a24e276146affdce0a4333a23eadbe3deb2333cd9420d39cec5571d302efe1ad0f4ee398bed8dd7fa19f2cb62b51553a52  py-pygal-2.3.1.tar.gz"
-- 
2.13.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---